import datetime
import re
from utils import unicode_or_None

from storm.locals import Date, Reference, ReferenceSet, Unicode, Int


class Card(object):

    __storm_table__ = "card"

    name = Unicode()
    status = Unicode()
    card_id = Int(primary=True)
    lane_id = Int()

    def __init__(self, name, card_id, lane_id):
        self.lane_id = lane_id
        self.card_id = card_id
        self.name = name


class Lane(object):

    __storm_table__ = "lane"

    name = Unicode()
    lane_id = Int(primary=True)
    cards = ReferenceSet(lane_id, Card.lane_id)

    def __init__(self, name, lane_id):
        self.lane_id = lane_id
        self.name = name
